Rake db:migrate should LOAD_PLUGINS by default

We at Pavilion have had issues running/debugging tests and saw errors with the poll plugin while running tests. We use to think its some issue with the plugin itself but its not.

The issue was that the migrations of poll plugin hadn’t run. Running RAILS_ENV=test rake db:migrate LOAD_PLUGINS=1 fixed it.

Just wondering that the rake task should LOAD_PLUGINS as a default?

1 Like

We already do that here:

Be sure to use the binstubs, they are faster as well.

4 Likes

Thanks for the tip. binstubs are super cool. I’ve read you say this somewhere but didn’t realize the utility of that.
Do you think monkey patching the task is taking things too far?

Yeah I prefer just to keep it as is for now, bundle exec rake is slower and a lot longer to type. Using rake without bundler is risky.

1 Like

Ah, I didn’t realize that. I’ll read up on this.